Skip to main content
GET
/
v1
/
social-feeds
/
x
/
entities
/
handles
List currently tracked X (Twitter) accounts
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/social-feeds/x/entities/handles \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "account_created_at": "2010-01-01T00:00:00Z",
      "description": "Founder & CEO of ARK Invest",
      "earliest_backfilled_at": "2010-08-15T10:00:00Z",
      "followers_count": 1500000,
      "following_count": 300,
      "profile_banner_url": "https://pbs.twimg.com/profile_banners/...",
      "profile_image_url": "https://pbs.twimg.com/profile_images/...",
      "tags": {
        "account_kind": "personal",
        "behavior": [
          "<string>"
        ],
        "institution_type": "government",
        "language": [
          "<string>"
        ],
        "occupation": [
          "<string>"
        ],
        "topics": [
          "<string>"
        ]
      },
      "twitter_display_name": "Cathie Wood",
      "twitter_handle": "CathieDWood",
      "twitter_id": "1234567890",
      "verified": true,
      "verified_type": "blue"
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

limit
integer

Max results (default 50, max 200)

offset
integer

Offset (default 0)

Response

Tracked account list

data
object[]
error
object
pagination
any
request_id
string
success
boolean